import {} from "kysely";
export async function up(db) {
    await db.schema
        .createTable("github_installations")
        .addColumn("user_did", "varchar(255)", (col) => col.notNull())
        .addColumn("environment_id", "varchar(255)", (col) => col.notNull())
        .addColumn("repo_full_name", "varchar(255)", (col) => col.notNull())
        .addColumn("created_at", "varchar(255)", (col) => col.notNull())
        .addPrimaryKeyConstraint("github_installations_pkey", [
        "user_did",
        "environment_id",
    ])
        .ifNotExists()
        .execute();
}
export async function down(db) {
    await db.schema.dropTable("github_installations").execute();
}
